{#
/**
* @file
* Twig template file for displaying a slide node.
*
* Available variables:
* - node: The node object.
* - slide_image: image for slide
* - image_size: how to scale slide image. ('cover' or 'contain')
* - main_heading: main heading to overlay
* - text_content: main text content
*/
#}

{{ attach_library('slideshow/all-slides') }}
{{ attach_library('slideshow/image-slides') }}

{% if view_mode == 'full' %}
{{ attach_library('slideshow/fadein') }}
{{ attach_library('slideshow/nextslide') }}
{% endif %}

<div class="slide image-slide">
  {% if slide_image %}
  <div class="image {{ image_size | default('contain') }}" style="background-image: url('{{ file_url(slide_image.entity.fileuri) }}');"></div>
  {% endif %}

  {% if main_heading %}
  <div class="main-heading">{{ main_heading }}</div>
  {% endif %}

  {% if text_content %}
  <div class="text-content">{{ text_content }}</div>
  {% endif %}
</div>
